body{
  background-color: rgb(232, 232, 232);
}

*{
  font-family: Arial, Helvetica, sans-serif;
}

.logowrapper h1 {
    font-size: 24px;
    font-weight: 650;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    text-align: left;
    margin: 60px 0px 5px;
    color: green;
    
}

.logowrapper p {
    font-size: 22px;
    font-weight: 500;
    font-family: Arial, Helvetica, sans-serif;
    color: green;
    margin: 8px 0px 5px;
}

img {
    width: 70px;
    height: 70px;
    display: block;
    margin: 50px 15px;

 }

 .logowrapper {
    display: flex;
    flex-direction: row;
 }


 .prevGPA{
    background-color: rgb(73, 175, 112);
    border-radius: 3px;
    color: white;
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: left;
    padding: 20px 0px;
    margin-bottom: 50px;
  }
  .prevGPA > h4{
    font-family: Arial, Helvetica, sans-serif;
    text-align: left;
    margin: 12px 25px;
  }
  .prevGPA > section{
    display: inline-block;
    justify-content: space-between;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
  }
  .prevGPA > section > div{
    display: inline-block;
    align-items: center;
    gap: 20px;
    margin: 8px 12px;

  }

  .prevGPA > section > div > label{
    width: 118px;
  }
  .prevGPA input{
    width: 50px;
    border: 1px solid white;
    background-color: transparent;
    color: white;
    padding: 8px;
    border-radius: 5px;
    outline: none;
    text-align: center;
    height: 25px;
    margin-left: 12px;
  }
  .prevGPA input::placeholder{
    color: rgba(255, 255, 255, 0.808);
  }
  
  .newSemester{
    background-color: rgb(238, 248, 242);
    padding: 20px;
    color: rgb(2, 104, 41);
    text-align: center;
  }

  .newSemester select{
    width: 85px;
    color: green;
    background: none;
  }

  .newSemester input::placeholder{
    font-size: 16px;
    color: green;
  }

  .newSemester .inputs-wrapper{
    display: inline-block;
    width: 100%;
    box-sizing: border-box;
    text-align: center;
  }

  .newSemester input, .newSemester select{
    height: 35px;
    color: green;
    background: none;
    border-radius: 4px;
    font-size: 16px;
    padding: 8px;
    font-size: 16px;
    border: 1px solid green;
    height: 45px;
    box-sizing: border-box;
    margin: 8px 12px;
  }

  .newSemester input, .labels p.cn{
    width: 40%;
    max-width: 140px;
  }


  .newSemester select, p.u, p.g{
    width: 25%;
    max-width: 100px;
  }

  .newSemester button{
    background: none;
    border: none;
    font-size: 16px;
    font-weight: 600;
    text-transform: capitalize;
  }

  .newSemester > h3{
    margin: 22px 8px;
    display: block;
    text-align: center;
  }
  .newSemester > table input, .newSemester > table select{
    padding: 5px;
    outline: none;
    border: 1px solid rgb(29, 150, 75);
  }
  .newSemester article{
    background-color: transparent;
  }
  .newSemester > article > p:first-of-type{
    color: rgb(2, 104, 41);
  }
  .newSemester > article > p:nth-of-type(2){
    color: red;
  }

  .newSemester .labels{
    display: inline-block;
    width: 100%;
    text-align: center;
  }

  .newSemester .labels p{
    display: inline-block;
    margin: 8px 12px;
    text-align: left;
  }
  
  article{
    width: 100%;
    padding: 20px 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
  }
  #calc:hover{
    color: rgb(2, 104, 41);
    background-color: white;
  }
  #reset{
    padding: 5px 10px;
    color: rgb(2, 104, 41);
    background-color: white;
    border: 1px solid rgb(2, 104, 41);
    text-align: center;
    border-radius: 5px;
    cursor: pointer;
  }
  #reset:hover{
    background-color: rgb(2, 104, 41);
    color: white;
  }
  .Buttons{
    margin-bottom: 80px;
    background-color: white;
  }

  .Buttons button{
    /* height: 27px; */
    border-radius: 4px;
    padding: 12px;
    width: 100px;
    border: 1px solid green;
    margin: 35px 12px;
    font-weight: 500;
  }

  
  .Buttons button#Calc {
    background-color: rgb(14, 156, 14);
    color: white;
  }

  input:focus, select:focus{
    outline: none;
  }


  #Add {
    font-size: 16px;
    font-weight: 600;
    color: green;
  }

  #Clear{
    color: red;
  }
  
  .foot{
    font-size: 16px;
    font-weight: 480;
    display: block;
    text-align: center;
    color: rgba(0, 0, 0, 0.633);
  }

  .dialog-wrapper{
    width: 100%;
    height: 100vh;
    padding-top: 140px;
    box-sizing: border-box;
    position: fixed;
    top: 0px;
    z-index: 1;
    display: none;
    background-color: rgba(191, 191, 191, 0.652);
    text-align: center;
  }

  .dialog-wrapper .dialog{
    width: 95%;
    max-width: 600px;
    background: white;
    display: inline-block;
    padding: 12px;
  }

  .dialog h5{
    font-size: 18px;
    font-weight: 540;
    color: rgba(0, 0, 0, 0.527);
  }

  .dialog .gp{
    font-size: 22px;
    font-weight: 600;
    color: green;
  }

  .dialog .wrapper{
    display: inline-block;
    padding: 12px;
    margin: 12px;
  }

  .dialog .wrapper p{
    font-size: 16px;
    font-weight: 500;
    color: green;
  }

  .dialog label{
    color: rgba(0, 0, 0, 0.527);
    font-size: 16px;
  }

  .inputs-wrapper .icn-rm{
    display: inline-block;
    font-size: 18px;
    font-family: 620;
    color: red;
    margin-right: 12px;
  }


@media screen and (max-width: 456px){
  .logowrapper h1{
    margin-top: 45px;
    margin-bottom: 0px;
  }

  .logowrapper p{
    margin-top: 0px;
  }
}

@media screen and (max-width: 480px){
  .prevGPA input{
    height: 35px;
    box-sizing: border-box;
  }
  .newSemester input, .labels p.cn{
    width: 35%;
  }

  .newSemester select, p.u, p.g{
    width: 20%;
  }

}

@media screen and (max-width: 450px){
  .newSemester select, p.u, p.g{
    width: 65px;
  }
  .newSemester input, .labels p.cn{
    width: 100px;
  }
}


@media screen and (max-width: 510px){
  .newSemester{
    padding: 20px 0px;
  }
}